Bug 484787 - dma-debug: sky2: dma-debug warning from sky2 driver during boot
dma-debug: sky2: dma-debug warning from sky2 driver during boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 487882
  Show dependency treegraph
 
Reported: 2009-02-09 16:36 EST by Magnus Vesterlund
Modified: 2010-06-28 07:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:14:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Warning message (3.03 KB, text/plain)
2009-02-09 16:36 EST, Magnus Vesterlund
no flags Details

  None (edit)
Description Magnus Vesterlund 2009-02-09 16:36:37 EST
Created attachment 331376 [details]
Warning message

Description of problem:

I have two Marvell 88E8056 Ethernet interfaces that use the sky2 driver. During boot I get the attached warning message. The interfaces seem to work fine anyway.

Version-Release number of selected component (if applicable):
kernel-2.6.29-0.96.rc3.git12.fc11.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Boot the computer.
  
Actual results:
Kernel warning.

Expected results:
No kernel warning.

Additional info:
Comment 1 Jurgen Kramer 2009-03-27 07:33:15 EDT
This also happens for me on shutdown with kernel-2.6.29-0.258.rc8.git2.fc11.i586 on a Samsung NC10 with a 88E8040 PCI-E controller:

Excerpt from messages:

Mar 25 21:48:55 nc10 NetworkManager: <WARN>  nm_signal_handler(): Caught signal 15, shutting down normally.
Mar 25 21:48:55 nc10 NetworkManager: <info>  (eth0): now unmanaged
Mar 25 21:48:55 nc10 NetworkManager: <info>  (eth0): device state change: 2 -> 1
Mar 25 21:48:55 nc10 NetworkManager: <info>  (eth0): cleaning up...
Mar 25 21:48:55 nc10 NetworkManager: <info>  (eth0): taking down device.
Mar 25 21:48:55 nc10 kernel: sky2 eth0: disabling interface
Mar 25 21:48:55 nc10 kernel: ------------[ cut here ]------------
Mar 25 21:48:55 nc10 kernel: WARNING: at lib/dma-debug.c:470 check_unmap+0x187/0x3c9() (Not tainted)
Mar 25 21:48:55 nc10 kernel: Hardware name: NC10                       
Mar 25 21:48:55 nc10 kernel: sky2 0000:03:00.0: DMA-API: device driver frees DMA memory with different size [device address=0x000000003394a902] [map size=1520 bytes] [unmap size=0 bytes]
Mar 25 21:48:55 nc10 kernel: Modules linked in: aes_i586 aes_generic fuse rfcomm sco bridge stp llc bnep l2cap autofs4 sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq dm_multipath uinput snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq pcspkr snd_seq_device uvcvideo iTCO_wdt serio_raw joydev iTCO_vendor_support snd_pcm_oss i2c_i801 videodev snd_mixer_oss arc4 v4l1_compat ecb btusb snd_pcm bluetooth ath5k snd_timer mac80211 sky2 snd cfg80211 soundcore snd_page_alloc ata_generic pata_acpi ext4 jbd2 crc16 i915 drm i2c_algo_bit i2c_core video output [last unloaded: microcode]
Mar 25 21:48:55 nc10 kernel: Pid: 2365, comm: NetworkManager Not tainted 2.6.29-0.258.rc8.git2.fc11.i586 #1
Mar 25 21:48:55 nc10 kernel: Call Trace:
Mar 25 21:48:55 nc10 kernel: [<c042fae7>] warn_slowpath+0x7c/0xa7
Mar 25 21:48:55 nc10 kernel: [<c044e900>] ? trace_hardirqs_off_caller+0x53/0xa3
Mar 25 21:48:55 nc10 kernel: [<c06ef1ee>] ? _spin_unlock_irqrestore+0x3e/0x55
Mar 25 21:48:55 nc10 kernel: [<c0448308>] ? clocksource_read+0xc/0xf
Mar 25 21:48:55 nc10 kernel: [<c042b697>] ? scheduler_tick+0x36/0x169
Mar 25 21:48:55 nc10 kernel: [<c042319f>] ? update_curr+0x183/0x18b
Mar 25 21:48:55 nc10 kernel: [<c0546131>] ? debug_object_activate+0x3a/0xe6
Mar 25 21:48:55 nc10 kernel: [<c0450844>] ? print_lock_contention_bug+0x11/0xb2
Mar 25 21:48:55 nc10 kernel: [<c054935a>] ? get_hash_bucket+0x26/0x2f
Mar 25 21:48:55 nc10 kernel: [<c0450844>] ? print_lock_contention_bug+0x11/0xb2
Mar 25 21:48:55 nc10 kernel: [<c054935a>] ? get_hash_bucket+0x26/0x2f
Mar 25 21:48:55 nc10 kernel: [<c0549b1c>] check_unmap+0x187/0x3c9
Mar 25 21:48:55 nc10 kernel: [<c0549ebf>] debug_dma_unmap_page+0x5b/0x63
Mar 25 21:48:55 nc10 kernel: [<f89674e3>] dma_unmap_single+0x46/0x50 [sky2]
Mar 25 21:48:55 nc10 kernel: [<f8967564>] sky2_rx_unmap_skb+0x2c/0x5f [sky2]
Mar 25 21:48:55 nc10 kernel: [<f89675d3>] sky2_rx_clean+0x3c/0x5a [sky2]
Mar 25 21:48:55 nc10 kernel: [<f896833b>] sky2_down+0x2ab/0x31b [sky2]
Mar 25 21:48:55 nc10 kernel: [<c066cccc>] dev_close+0x7a/0x9b
Mar 25 21:48:55 nc10 kernel: [<c066c9d1>] dev_change_flags+0x9a/0x149
Mar 25 21:48:55 nc10 kernel: [<c0673663>] do_setlink+0x292/0x338
Mar 25 21:48:55 nc10 kernel: [<c06ef14c>] ? _read_unlock+0x22/0x25
Mar 25 21:48:55 nc10 kernel: [<c0674b7d>] rtnl_setlink+0xd1/0xd5
Mar 25 21:48:55 nc10 kernel: [<c0674aac>] ? rtnl_setlink+0x0/0xd5
Mar 25 21:48:55 nc10 kernel: [<c06744e5>] rtnetlink_rcv_msg+0x193/0x1a9
Mar 25 21:48:55 nc10 kernel: [<c0674352>] ? rtnetlink_rcv_msg+0x0/0x1a9
Mar 25 21:48:55 nc10 kernel: [<c0681488>] netlink_rcv_skb+0x35/0x7d
Mar 25 21:48:55 nc10 kernel: [<c067434b>] rtnetlink_rcv+0x20/0x27
Mar 25 21:48:55 nc10 kernel: [<c0681068>] netlink_unicast+0xee/0x14b
Mar 25 21:48:55 nc10 kernel: [<c0681304>] netlink_sendmsg+0x23f/0x24c
Mar 25 21:48:55 nc10 kernel: [<c065f2bd>] __sock_sendmsg+0x4a/0x53
Mar 25 21:48:55 nc10 kernel: [<c065fb1c>] sock_sendmsg+0xbb/0xd1
Mar 25 21:48:55 nc10 kernel: [<c04909ef>] ? might_fault+0x48/0x85
Mar 25 21:48:55 nc10 kernel: [<c0441ae0>] ? autoremove_wake_function+0x0/0x34
Mar 25 21:48:55 nc10 kernel: [<c04909ef>] ? might_fault+0x48/0x85
Mar 25 21:48:55 nc10 kernel: [<c0542983>] ? copy_from_user+0x32/0x119
Mar 25 21:48:55 nc10 kernel: [<c0666aea>] ? verify_iovec+0x43/0x71
Mar 25 21:48:55 nc10 kernel: [<c065fc80>] sys_sendmsg+0x14e/0x198
Mar 25 21:48:55 nc10 kernel: [<c06607a5>] ? sys_recvmsg+0x16d/0x178
Mar 25 21:48:55 nc10 kernel: [<c066049a>] ? sys_sendto+0xb4/0xc2
Mar 25 21:48:55 nc10 kernel: [<c04a370e>] ? __slab_free+0x20b/0x22f
Mar 25 21:48:55 nc10 kernel: [<c04b62ec>] ? __d_free+0x3f/0x44
Mar 25 21:48:55 nc10 kernel: [<c044f6b0>] ? trace_hardirqs_on+0xb/0xd
Mar 25 21:48:55 nc10 kernel: [<c04909ef>] ? might_fault+0x48/0x85
Mar 25 21:48:55 nc10 kernel: [<c0660c79>] sys_socketcall+0x15f/0x18a
Mar 25 21:48:55 nc10 kernel: [<c0403f92>] syscall_call+0x7/0xb
Mar 25 21:48:55 nc10 kernel: ---[ end trace c985c3d5ef5a26c3 ]---
Mar 25 21:48:55 nc10 NetworkManager: <info>  (wlan0): now unmanaged
Mar 25 21:48:55 nc10 NetworkManager: <info>  (wlan0): device state change: 8 -> 1
Mar 25 21:48:55 nc10 NetworkManager: <info>  (wlan0): deactivating device (reason: 36).
Mar 25 21:48:55 nc10 NetworkManager: <info>  wlan0: canceled DHCP transaction, dhcp client pid 3077
Mar 25 21:48:55 nc10 NetworkManager: <WARN>  check_one_route(): (wlan0) error -34 returned from rtnl_route_del(): Sucess#012
Mar 25 21:48:55 nc10 NetworkManager: <info>  (wlan0): cleaning up...
Mar 25 21:48:55 nc10 NetworkManager: <info>  (wlan0): taking down device.
Mar 25 21:48:55 nc10 NetworkManager: <info>  exiting (success)
Mar 25 21:48:56 nc10 nm-system-settings: disconnected from the system bus, exiting.
Mar 25 21:48:56 nc10 kernel: compiz[2903]: segfault at a ip 0805472d sp bfc05960 error 4 in compiz[8048000+37000]
Mar 25 21:48:56 nc10 nm-dispatcher.action: Disconnected from the system bus, exiting.
Mar 25 21:48:57 nc10 rpc.statd[2103]: Caught signal 15, un-registering and exiting.
Mar 25 21:48:57 nc10 rpcbind: rpcbind terminating on signal. Restart with "rpcbind -w"
Comment 2 Dave Jones 2009-04-01 13:28:38 EDT
The second trace is a dupe of bug 487894
Keeping this open for the first trace though.
Comment 3 Bug Zapper 2009-06-09 07:11:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Michael Breuer 2010-02-04 14:01:02 EST
FYI - this (and some other sky2 issues) have been resolved upstream.

This particular one is: http://patchwork.ozlabs.org/patch/43828/

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2010-04-27 08:54:27 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 07:14:02 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.